FROM golang
RUN apt-get update && apt-get install -y netcat
ENV PATH=$GOPATH/bin:$PATH
RUN mkdir -p $GOPATH/src/gogs.carducci-dante.gov.it/karmen
ADD . $GOPATH/src/gogs.carducci-dante.gov.it/karmen/core
COPY config/config.yaml /go/src/gogs.carducci-dante.gov.it/karmen/core/config/
WORKDIR $GOPATH/src/gogs.carducci-dante.gov.it/karmen/core
RUN go build -o main .
ENTRYPOINT ["/go/src/gogs.carducci-dante.gov.it/karmen/core/start.sh"]
VOLUME /go/src/gogs.carducci-dante.gov.it/karmen/core/config
VOLUME /go/src/gogs.carducci-dante.gov.it/karmen/core/documents
EXPOSE 3000
